//    This file is part of BoobTracker.
//
//    BoobTracker is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    BoobTracker is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with BoobTracker.  If not, see <http://www.gnu.org/licenses/>.
//
//    You may contact the original author at : squalou.jenkins@gmail.com

package net.homelinux.pro.boobTraker;

import net.homelinux.pro.boobTracker.R;
import android.graphics.Color;

public class BoobConsts {

	public static final int BOOB_AVAILABLE=0;
	public static final int BOOB_PROCESSING=1;
	public static final int BOOB_UNAVAILABLE=2;	
	
    public static final String DATA_FILE_NAME = "Feedings";
    public static final String DATA_FILE_EXT = ".csv";
    public static final String DATA_FILE = DATA_FILE_NAME+DATA_FILE_EXT;
       
    public static final String TIMEFORMAT_FILE="%Y/%m/%d %H:%M:%S";
    public static final String TIMEFORMAT_HEADER=" %A  %d/%m";// *must* start with a whitespace !
    public static final String TIMEFORMAT_SHORT="%H:%M";
    
    public static final int BOOB_COLOR_GREEN=Color.argb(255, 110, 164, 106);
    public static final int BOOB_COLOR_ORANGE=Color.argb(255, 242, 201, 38);
    public static final int BOOB_COLOR_RED=Color.argb(255, 154, 24, 39);

    public static final int BOOB_COLOR_TRANSPARENT=Color.argb(0, 255, 255, 255);
    
    public static final int BOOB_IMAGE_AVAILABLE=R.drawable.boutonvert;
    public static final int BOOB_IMAGE_PROCESSING=R.drawable.boutonjaune;
    public static final int BOOB_IMAGE_UNAVAILABLE=R.drawable.boutonrouge;
    
    public static final int BOOB_MAX_LISTFEED_SIZE = 16;//must be 1+number of textviews available in main as "previous"
    
}
