//    This file is part of BoobTracker.
//
//    BoobTracker is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    BoobTracker is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with BoobTracker.  If not, see <http://www.gnu.org/licenses/>.
//
//    You may contact the original author at : squalou.jenkins@gmail.com

package net.homelinux.pro.utils;

import java.io.File;
import java.io.FilenameFilter;

import net.homelinux.pro.boobTraker.BoobConsts;

public class BoobFileFilter implements FilenameFilter {

	public boolean accept(File dir, String filename) {
		
		return filename.startsWith(BoobConsts.DATA_FILE_NAME+"-");
		
	}
}
